library ieee;
use ieee.std_logic_1164.all;

entity tb is
end tb;

architecture behavior of tb is

  -- Component Declaration for the Unit Under Test (UUT)
  component design_1_wrapper
    port(
      sys_diff_clock_clk_n : in    std_logic;
      sys_diff_clock_clk_p : in    std_logic;
      reset                : in    std_logic;
      rs232_uart_rxd       : in    std_logic;
      rs232_uart_txd       : out   std_logic
    );
  end component;

  signal sys_clk_p_pin    : std_logic := '0';
  signal sys_clk_n_pin    : std_logic := '1';
  signal sys_rst_pin      : std_logic := '1';

  constant sys_clk_period : time := 5 ns;

begin

  -- Instantiate the Unit Under Test (UUT)
  uut : design_1_wrapper port map (
    sys_diff_clock_clk_n => sys_clk_n_pin,
    sys_diff_clock_clk_p => sys_clk_p_pin,
    reset                => sys_rst_pin,
    rs232_uart_rxd       => '1',
    rs232_uart_txd       => open
  );

  -- Clock process definitions
  sys_clk_process : process
  begin
    sys_clk_p_pin <= '0';
    sys_clk_n_pin <= '1';
    wait for sys_clk_period / 2;
    sys_clk_p_pin <= '1';
    sys_clk_n_pin <= '0';
    wait for sys_clk_period / 2;
  end process;

  -- Stimulus process
  stim_proc : process
  begin
    -- hold reset state for 1000 ns.
    wait for 1000 ns;
    sys_rst_pin <= '0';

    wait for sys_clk_period*1000;

    -- insert stimulus here

    wait;
  end process;

end;
